/*===========================================================================*/
/*   (Llib/gstbuffer.scm)                                                    */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -unsafe -safee -srfi gstreamer -copt -I/usr/include/gstreamer-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-6 -pthread -copt -fPIC -copt -IClib Llib/gstbuffer.scm -o objs/gstbuffer.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <gst/gst.h>
#include <bglgst_config.h>
#include <bglgst.h>
#include <bglgst_plugin.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___GSTREAMER_GSTBUFFER_TYPE_DEFINITIONS
#define BGL___GSTREAMER_GSTBUFFER_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62gstzd2createzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62gstzd2createzd2errorz62_bglt;

typedef struct BgL_gstzd2bufferzd2_bgl {
   header_t header;
   obj_t widening;
   GstBuffer * BgL_z42builtinz42;
   obj_t BgL_z42finaliza7erze5;
} *BgL_gstzd2bufferzd2_bglt;


#endif // BGL___GSTREAMER_GSTBUFFER_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_requirezd2initializa7ationz75zz__gstreamer_gstbufferz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52gstzd2bufferzd2initz52zz__gstreamer_gstbufferz00(BgL_gstzd2bufferzd2_bglt);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31130ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31106ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__gstreamer_gstbufferz00(void);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__gstreamer_gstbufferz00(void);
static obj_t BGl_z62zc3z04anonymousza31231ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62z52gstzd2bufferzd2initz30zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31313ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
extern void bgl_gst_add_finalizer(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__gstreamer_gstbufferz00(void);
BGL_EXPORTED_DEF obj_t BGl_gstzd2bufferzd2zz__gstreamer_gstbufferz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31171ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31228ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31139ze3ze5zz__gstreamer_gstbufferz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31172ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31156ze3ze5zz__gstreamer_gstbufferz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31181ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31165ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static BgL_gstzd2bufferzd2_bglt BGl_z62lambda1117z62zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
static BgL_gstzd2bufferzd2_bglt BGl_z62lambda1120z62zz__gstreamer_gstbufferz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31182ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31166ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
static obj_t BGl_z62lambda1137z62zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62lambda1138z62zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31176ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31274ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62lambda1154z62zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62lambda1155z62zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31177ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstbufferz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gststructurez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static obj_t BGl_z62zc3z04anonymousza31194ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31267ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31259ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31195ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31187ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_gst_buffer_new(GstBuffer *, obj_t);
extern obj_t BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00;
static obj_t BGl_z62zc3z04anonymousza31188ze3ze5zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__gstreamer_gstbufferz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstbufferz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gstbufferz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gstbufferz00(void);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62z42makezd2gstzd2bufferz20zz__gstreamer_gstbufferz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 16 ] ;


DEFINE_STRING( BGl_string1323z00zz__gstreamer_gstbufferz00, BgL_bgl_string1323za700za7za7_1366za7, "/builddir/build/BUILD/bigloo-4.5b/api/gstreamer/src/Llib/gstbuffer.scm", 70 );
DEFINE_STRING( BGl_string1324z00zz__gstreamer_gstbufferz00, BgL_bgl_string1324za700za7za7_1367za7, "&$make-gst-buffer", 17 );
DEFINE_STRING( BGl_string1325z00zz__gstreamer_gstbufferz00, BgL_bgl_string1325za700za7za7_1368za7, "void*", 5 );
DEFINE_STRING( BGl_string1326z00zz__gstreamer_gstbufferz00, BgL_bgl_string1326za700za7za7_1369za7, "Illegal gst-buffer", 18 );
DEFINE_STRING( BGl_string1328z00zz__gstreamer_gstbufferz00, BgL_bgl_string1328za700za7za7_1370za7, "&%gst-buffer-init", 17 );
DEFINE_STRING( BGl_string1329z00zz__gstreamer_gstbufferz00, BgL_bgl_string1329za700za7za7_1371za7, "gst-buffer", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1327z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1372za7, BGl_z62zc3z04anonymousza31106ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1330z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1373za7, BGl_z62zc3z04anonymousza31139ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1331z00zz__gstreamer_gstbufferz00, BgL_bgl_za762lambda1138za7621374z00, BGl_z62lambda1138z62zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1332z00zz__gstreamer_gstbufferz00, BgL_bgl_za762lambda1137za7621375z00, BGl_z62lambda1137z62zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1333z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1376za7, BGl_z62zc3z04anonymousza31156ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1334z00zz__gstreamer_gstbufferz00, BgL_bgl_za762lambda1155za7621377z00, BGl_z62lambda1155z62zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1335z00zz__gstreamer_gstbufferz00, BgL_bgl_za762lambda1154za7621378z00, BGl_z62lambda1154z62zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1336z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1379za7, BGl_z62zc3z04anonymousza31166ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1337z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1380za7, BGl_z62zc3z04anonymousza31165ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1338z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1381za7, BGl_z62zc3z04anonymousza31172ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1339z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1382za7, BGl_z62zc3z04anonymousza31171ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42makezd2gstzd2bufferzd2envz90zz__gstreamer_gstbufferz00, BgL_bgl_za762za742makeza7d2gst1383za7, BGl_z62z42makezd2gstzd2bufferz20zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1340z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1384za7, BGl_z62zc3z04anonymousza31177ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1341z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1385za7, BGl_z62zc3z04anonymousza31176ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1342z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1386za7, BGl_z62zc3z04anonymousza31182ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1343z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1387za7, BGl_z62zc3z04anonymousza31181ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1344z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1388za7, BGl_z62zc3z04anonymousza31188ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1345z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1389za7, BGl_z62zc3z04anonymousza31187ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1346z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1390za7, BGl_z62zc3z04anonymousza31195ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1347z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1391za7, BGl_z62zc3z04anonymousza31194ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1348z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1392za7, BGl_z62zc3z04anonymousza31204ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1349z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1393za7, BGl_z62zc3z04anonymousza31228ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1358z00zz__gstreamer_gstbufferz00, BgL_bgl_string1358za700za7za7_1394za7, "__gstreamer_gstbuffer", 21 );
DEFINE_STRING( BGl_string1359z00zz__gstreamer_gstbufferz00, BgL_bgl_string1359za700za7za7_1395za7, "__gstreamer_gstbuffer gst-buffer duration timestamp pts llong dts string data long size obj $finalizer $gst-buffer $builtin %gst-buffer-init ", 141 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1350z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1396za7, BGl_z62zc3z04anonymousza31231ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1351z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1397za7, BGl_z62zc3z04anonymousza31259ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1352z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1398za7, BGl_z62zc3z04anonymousza31267ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1353z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1399za7, BGl_z62zc3z04anonymousza31274ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1354z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1400za7, BGl_z62zc3z04anonymousza31313ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1355z00zz__gstreamer_gstbufferz00, BgL_bgl_za762za7c3za704anonymo1401za7, BGl_z62zc3z04anonymousza31130ze3ze5zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1356z00zz__gstreamer_gstbufferz00, BgL_bgl_za762lambda1120za7621402z00, BGl_z62lambda1120z62zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1357z00zz__gstreamer_gstbufferz00, BgL_bgl_za762lambda1117za7621403z00, BGl_z62lambda1117z62zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52gstzd2bufferzd2initzd2envz80zz__gstreamer_gstbufferz00, BgL_bgl_za762za752gstza7d2buff1404za7, BGl_z62z52gstzd2bufferzd2initz30zz__gstreamer_gstbufferz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__gstreamer_gstbufferz00) );
ADD_ROOT( (void *)(&BGl_gstzd2bufferzd2zz__gstreamer_gstbufferz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstbufferz00(long BgL_checksumz00_461, char * BgL_fromz00_462)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__gstreamer_gstbufferz00))
{ 
BGl_requirezd2initializa7ationz75zz__gstreamer_gstbufferz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__gstreamer_gstbufferz00(); 
BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstbufferz00(); 
BGl_cnstzd2initzd2zz__gstreamer_gstbufferz00(); 
BGl_importedzd2moduleszd2initz00zz__gstreamer_gstbufferz00(); 
BGl_objectzd2initzd2zz__gstreamer_gstbufferz00(); 
return 
BGl_methodzd2initzd2zz__gstreamer_gstbufferz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstbufferz00(void)
{
{ /* Llib/gstbuffer.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__gstreamer_gstbuffer"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__gstreamer_gstbuffer"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__gstreamer_gstbuffer"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__gstreamer_gstbuffer"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__gstreamer_gstbuffer"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__gstreamer_gstbuffer"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__gstreamer_gstbuffer"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L, "__gstreamer_gstbuffer"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__gstreamer_gstbuffer"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__gstreamer_gstbufferz00(void)
{
{ /* Llib/gstbuffer.scm 15 */
{ /* Llib/gstbuffer.scm 15 */
 obj_t BgL_cportz00_392;
{ /* Llib/gstbuffer.scm 15 */
 obj_t BgL_stringz00_399;
BgL_stringz00_399 = BGl_string1359z00zz__gstreamer_gstbufferz00; 
{ /* Llib/gstbuffer.scm 15 */
 obj_t BgL_startz00_400;
BgL_startz00_400 = 
BINT(0L); 
{ /* Llib/gstbuffer.scm 15 */
 obj_t BgL_endz00_401;
BgL_endz00_401 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_399))); 
{ /* Llib/gstbuffer.scm 15 */

BgL_cportz00_392 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_399, BgL_startz00_400, BgL_endz00_401); } } } } 
{ 
 long BgL_iz00_393;
BgL_iz00_393 = 15L; 
BgL_loopz00_394:
if(
(BgL_iz00_393==-1L))
{ /* Llib/gstbuffer.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/gstbuffer.scm 15 */
{ /* Llib/gstbuffer.scm 15 */
 obj_t BgL_arg1364z00_395;
{ /* Llib/gstbuffer.scm 15 */

{ /* Llib/gstbuffer.scm 15 */
 obj_t BgL_locationz00_397;
BgL_locationz00_397 = 
BBOOL(((bool_t)0)); 
{ /* Llib/gstbuffer.scm 15 */

BgL_arg1364z00_395 = 
BGl_readz00zz__readerz00(BgL_cportz00_392, BgL_locationz00_397); } } } 
{ /* Llib/gstbuffer.scm 15 */
 int BgL_tmpz00_490;
BgL_tmpz00_490 = 
(int)(BgL_iz00_393); 
CNST_TABLE_SET(BgL_tmpz00_490, BgL_arg1364z00_395); } } 
{ /* Llib/gstbuffer.scm 15 */
 int BgL_auxz00_398;
BgL_auxz00_398 = 
(int)(
(BgL_iz00_393-1L)); 
{ 
 long BgL_iz00_495;
BgL_iz00_495 = 
(long)(BgL_auxz00_398); 
BgL_iz00_393 = BgL_iz00_495; 
goto BgL_loopz00_394;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gstbufferz00(void)
{
{ /* Llib/gstbuffer.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* $make-gst-buffer */
BGL_EXPORTED_DEF obj_t bgl_gst_buffer_new(GstBuffer * BgL_bufferz00_3, obj_t BgL_finaliza7erza7_4)
{
{ /* Llib/gstbuffer.scm 71 */
{ /* Llib/gstbuffer.scm 72 */
 BgL_gstzd2bufferzd2_bglt BgL_new1055z00_15;
{ /* Llib/gstbuffer.scm 73 */
 BgL_gstzd2bufferzd2_bglt BgL_new1054z00_17;
BgL_new1054z00_17 = 
((BgL_gstzd2bufferzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2bufferzd2_bgl) ))); 
{ /* Llib/gstbuffer.scm 73 */
 long BgL_arg1077z00_18;
BgL_arg1077z00_18 = 
BGL_CLASS_NUM(BGl_gstzd2bufferzd2zz__gstreamer_gstbufferz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1054z00_17), BgL_arg1077z00_18); } 
BgL_new1055z00_15 = BgL_new1054z00_17; } 
((((BgL_gstzd2bufferzd2_bglt)COBJECT(BgL_new1055z00_15))->BgL_z42builtinz42)=((GstBuffer *)BgL_bufferz00_3),BUNSPEC); 
((((BgL_gstzd2bufferzd2_bglt)COBJECT(BgL_new1055z00_15))->BgL_z42finaliza7erze5)=((obj_t)BgL_finaliza7erza7_4),BUNSPEC); 
{ /* Llib/gstbuffer.scm 72 */
 obj_t BgL_fun1076z00_16;
BgL_fun1076z00_16 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_gstzd2bufferzd2zz__gstreamer_gstbufferz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1076z00_16))(BgL_fun1076z00_16, 
((obj_t)BgL_new1055z00_15), BEOA); } 
return 
((obj_t)BgL_new1055z00_15);} } 

}



/* &$make-gst-buffer */
obj_t BGl_z62z42makezd2gstzd2bufferz20zz__gstreamer_gstbufferz00(obj_t BgL_envz00_287, obj_t BgL_bufferz00_288, obj_t BgL_finaliza7erza7_289)
{
{ /* Llib/gstbuffer.scm 71 */
{ /* Llib/gstbuffer.scm 72 */
 GstBuffer * BgL_auxz00_511;
if(
FOREIGNP(BgL_bufferz00_288))
{ /* Llib/gstbuffer.scm 72 */
BgL_auxz00_511 = 
FOREIGN_TO_COBJ(BgL_bufferz00_288)
; }  else 
{ 
 obj_t BgL_auxz00_515;
BgL_auxz00_515 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1323z00zz__gstreamer_gstbufferz00, 
BINT(2708L), BGl_string1324z00zz__gstreamer_gstbufferz00, BGl_string1325z00zz__gstreamer_gstbufferz00, BgL_bufferz00_288); 
FAILURE(BgL_auxz00_515,BFALSE,BFALSE);} 
return 
bgl_gst_buffer_new(BgL_auxz00_511, BgL_finaliza7erza7_289);} } 

}



/* %gst-buffer-init */
BGL_EXPORTED_DEF obj_t BGl_z52gstzd2bufferzd2initz52zz__gstreamer_gstbufferz00(BgL_gstzd2bufferzd2_bglt BgL_oz00_5)
{
{ /* Llib/gstbuffer.scm 79 */
{ /* Llib/gstbuffer.scm 81 */
 bool_t BgL_test1408z00_520;
{ /* Llib/gstbuffer.scm 81 */
 GstBuffer * BgL_tmpz00_521;
BgL_tmpz00_521 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(BgL_oz00_5))->BgL_z42builtinz42); 
BgL_test1408z00_520 = 
(bool_t)!(BgL_tmpz00_521); } 
if(BgL_test1408z00_520)
{ /* Llib/gstbuffer.scm 82 */
 BgL_z62gstzd2createzd2errorz62_bglt BgL_arg1089z00_22;
{ /* Llib/gstbuffer.scm 82 */
 BgL_z62gstzd2createzd2errorz62_bglt BgL_new1058z00_23;
{ /* Llib/gstbuffer.scm 82 */
 BgL_z62gstzd2createzd2errorz62_bglt BgL_new1057z00_26;
BgL_new1057z00_26 = 
((BgL_z62gstzd2createzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62gstzd2createzd2errorz62_bgl) ))); 
{ /* Llib/gstbuffer.scm 82 */
 long BgL_arg1099z00_27;
BgL_arg1099z00_27 = 
BGL_CLASS_NUM(BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1057z00_26), BgL_arg1099z00_27); } 
BgL_new1058z00_23 = BgL_new1057z00_26; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1058z00_23)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1058z00_23)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_532;
{ /* Llib/gstbuffer.scm 82 */
 obj_t BgL_arg1093z00_24;
{ /* Llib/gstbuffer.scm 82 */
 obj_t BgL_arg1096z00_25;
{ /* Llib/gstbuffer.scm 82 */
 obj_t BgL_classz00_241;
BgL_classz00_241 = BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00; 
BgL_arg1096z00_25 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_241); } 
BgL_arg1093z00_24 = 
VECTOR_REF(BgL_arg1096z00_25,2L); } 
BgL_auxz00_532 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1093z00_24); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1058z00_23)))->BgL_stackz00)=((obj_t)BgL_auxz00_532),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1058z00_23)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(0L)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1058z00_23)))->BgL_msgz00)=((obj_t)BGl_string1326z00zz__gstreamer_gstbufferz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1058z00_23)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_5)),BUNSPEC); 
BgL_arg1089z00_22 = BgL_new1058z00_23; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1089z00_22)); }  else 
{ /* Llib/gstbuffer.scm 81 */BFALSE; } } 
{ /* Llib/gstbuffer.scm 87 */
 bool_t BgL_test1409z00_548;
{ /* Llib/gstbuffer.scm 87 */
 obj_t BgL_tmpz00_549;
BgL_tmpz00_549 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(BgL_oz00_5))->BgL_z42finaliza7erze5); 
BgL_test1409z00_548 = 
PROCEDUREP(BgL_tmpz00_549); } 
if(BgL_test1409z00_548)
{ /* Llib/gstbuffer.scm 89 */
 obj_t BgL_arg1103z00_31;
BgL_arg1103z00_31 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(BgL_oz00_5))->BgL_z42finaliza7erze5); 
bgl_gst_add_finalizer(
((obj_t)BgL_oz00_5), BgL_arg1103z00_31); BUNSPEC; }  else 
{ /* Llib/gstbuffer.scm 87 */
if(
CBOOL(
(((BgL_gstzd2bufferzd2_bglt)COBJECT(BgL_oz00_5))->BgL_z42finaliza7erze5)))
{ /* Llib/gstbuffer.scm 90 */
bgl_gst_add_finalizer(
((obj_t)BgL_oz00_5), BGl_proc1327z00zz__gstreamer_gstbufferz00); BUNSPEC; }  else 
{ /* Llib/gstbuffer.scm 90 */BFALSE; } } } 
return 
((obj_t)BgL_oz00_5);} 

}



/* &%gst-buffer-init */
obj_t BGl_z62z52gstzd2bufferzd2initz30zz__gstreamer_gstbufferz00(obj_t BgL_envz00_291, obj_t BgL_oz00_292)
{
{ /* Llib/gstbuffer.scm 79 */
{ /* Llib/gstbuffer.scm 80 */
 BgL_gstzd2bufferzd2_bglt BgL_auxz00_561;
{ /* Llib/gstbuffer.scm 80 */
 bool_t BgL_test1411z00_562;
{ /* Llib/gstbuffer.scm 80 */
 obj_t BgL_classz00_403;
BgL_classz00_403 = BGl_gstzd2bufferzd2zz__gstreamer_gstbufferz00; 
if(
BGL_OBJECTP(BgL_oz00_292))
{ /* Llib/gstbuffer.scm 80 */
 BgL_objectz00_bglt BgL_arg1780z00_405; long BgL_arg1781z00_406;
BgL_arg1780z00_405 = 
(BgL_objectz00_bglt)(BgL_oz00_292); 
BgL_arg1781z00_406 = 
BGL_CLASS_DEPTH(BgL_classz00_403); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/gstbuffer.scm 80 */
 long BgL_idxz00_414;
BgL_idxz00_414 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1780z00_405); 
{ /* Llib/gstbuffer.scm 80 */
 obj_t BgL_arg1773z00_415;
{ /* Llib/gstbuffer.scm 80 */
 long BgL_arg1774z00_416;
BgL_arg1774z00_416 = 
(BgL_idxz00_414+BgL_arg1781z00_406); 
BgL_arg1773z00_415 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1774z00_416); } 
BgL_test1411z00_562 = 
(BgL_arg1773z00_415==BgL_classz00_403); } }  else 
{ /* Llib/gstbuffer.scm 80 */
 bool_t BgL_res1365z00_439;
{ /* Llib/gstbuffer.scm 80 */
 obj_t BgL_oclassz00_424;
{ /* Llib/gstbuffer.scm 80 */
 long BgL_arg1785z00_430;
{ /* Llib/gstbuffer.scm 80 */
 long BgL_arg1786z00_431;
BgL_arg1786z00_431 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1780z00_405); 
BgL_arg1785z00_430 = 
(BgL_arg1786z00_431-OBJECT_TYPE); } 
BgL_oclassz00_424 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1785z00_430); } 
{ /* Llib/gstbuffer.scm 80 */
 bool_t BgL__ortest_1114z00_425;
BgL__ortest_1114z00_425 = 
(BgL_classz00_403==BgL_oclassz00_424); 
if(BgL__ortest_1114z00_425)
{ /* Llib/gstbuffer.scm 80 */
BgL_res1365z00_439 = BgL__ortest_1114z00_425; }  else 
{ /* Llib/gstbuffer.scm 80 */
 long BgL_odepthz00_426;
BgL_odepthz00_426 = 
BGL_CLASS_DEPTH(BgL_oclassz00_424); 
if(
(BgL_arg1781z00_406<BgL_odepthz00_426))
{ /* Llib/gstbuffer.scm 80 */
 obj_t BgL_arg1775z00_428;
BgL_arg1775z00_428 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_424, BgL_arg1781z00_406); 
BgL_res1365z00_439 = 
(BgL_arg1775z00_428==BgL_classz00_403); }  else 
{ /* Llib/gstbuffer.scm 80 */
BgL_res1365z00_439 = ((bool_t)0); } } } } 
BgL_test1411z00_562 = BgL_res1365z00_439; } }  else 
{ /* Llib/gstbuffer.scm 80 */
BgL_test1411z00_562 = ((bool_t)0)
; } } 
if(BgL_test1411z00_562)
{ /* Llib/gstbuffer.scm 80 */
BgL_auxz00_561 = 
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_292)
; }  else 
{ 
 obj_t BgL_auxz00_584;
BgL_auxz00_584 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1323z00zz__gstreamer_gstbufferz00, 
BINT(3055L), BGl_string1328z00zz__gstreamer_gstbufferz00, BGl_string1329z00zz__gstreamer_gstbufferz00, BgL_oz00_292); 
FAILURE(BgL_auxz00_584,BFALSE,BFALSE);} } 
return 
BGl_z52gstzd2bufferzd2initz52zz__gstreamer_gstbufferz00(BgL_auxz00_561);} } 

}



/* &<@anonymous:1106> */
obj_t BGl_z62zc3z04anonymousza31106ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_293, obj_t BgL_oz00_294)
{
{ /* Llib/gstbuffer.scm 92 */
{ /* Llib/gstbuffer.scm 94 */
 GstBuffer * BgL_arg1107z00_440;
BgL_arg1107z00_440 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_294)))->BgL_z42builtinz42); 
gst_buffer_unref(BgL_arg1107z00_440); 
return BUNSPEC;} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__gstreamer_gstbufferz00(void)
{
{ /* Llib/gstbuffer.scm 15 */
{ /* Llib/gstbuffer.scm 27 */
 obj_t BgL_arg1115z00_46; obj_t BgL_arg1116z00_47;
{ /* Llib/gstbuffer.scm 27 */
 obj_t BgL_v1071z00_60;
BgL_v1071z00_60 = 
create_vector(8L); 
{ /* Llib/gstbuffer.scm 27 */
 obj_t BgL_arg1131z00_61;
BgL_arg1131z00_61 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(1L), BGl_proc1332z00zz__gstreamer_gstbufferz00, BGl_proc1331z00zz__gstreamer_gstbufferz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1330z00zz__gstreamer_gstbufferz00, 
CNST_TABLE_REF(2L)); 
VECTOR_SET(BgL_v1071z00_60,0L,BgL_arg1131z00_61); } 
{ /* Llib/gstbuffer.scm 27 */
 obj_t BgL_arg1147z00_74;
BgL_arg1147z00_74 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(3L), BGl_proc1335z00zz__gstreamer_gstbufferz00, BGl_proc1334z00zz__gstreamer_gstbufferz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1333z00zz__gstreamer_gstbufferz00, 
CNST_TABLE_REF(4L)); 
VECTOR_SET(BgL_v1071z00_60,1L,BgL_arg1147z00_74); } 
{ /* Llib/gstbuffer.scm 27 */
 obj_t BgL_arg1162z00_87;
BgL_arg1162z00_87 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(5L), BGl_proc1337z00zz__gstreamer_gstbufferz00, BGl_proc1336z00zz__gstreamer_gstbufferz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(6L)); 
VECTOR_SET(BgL_v1071z00_60,2L,BgL_arg1162z00_87); } 
{ /* Llib/gstbuffer.scm 27 */
 obj_t BgL_arg1168z00_97;
BgL_arg1168z00_97 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(7L), BGl_proc1339z00zz__gstreamer_gstbufferz00, BGl_proc1338z00zz__gstreamer_gstbufferz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(8L)); 
VECTOR_SET(BgL_v1071z00_60,3L,BgL_arg1168z00_97); } 
{ /* Llib/gstbuffer.scm 27 */
 obj_t BgL_arg1173z00_107;
BgL_arg1173z00_107 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(9L), BGl_proc1341z00zz__gstreamer_gstbufferz00, BGl_proc1340z00zz__gstreamer_gstbufferz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(10L)); 
VECTOR_SET(BgL_v1071z00_60,4L,BgL_arg1173z00_107); } 
{ /* Llib/gstbuffer.scm 27 */
 obj_t BgL_arg1178z00_117;
BgL_arg1178z00_117 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(11L), BGl_proc1343z00zz__gstreamer_gstbufferz00, BGl_proc1342z00zz__gstreamer_gstbufferz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(10L)); 
VECTOR_SET(BgL_v1071z00_60,5L,BgL_arg1178z00_117); } 
{ /* Llib/gstbuffer.scm 27 */
 obj_t BgL_arg1183z00_127;
BgL_arg1183z00_127 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(12L), BGl_proc1345z00zz__gstreamer_gstbufferz00, BGl_proc1344z00zz__gstreamer_gstbufferz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(10L)); 
VECTOR_SET(BgL_v1071z00_60,6L,BgL_arg1183z00_127); } 
{ /* Llib/gstbuffer.scm 27 */
 obj_t BgL_arg1189z00_137;
BgL_arg1189z00_137 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(13L), BGl_proc1347z00zz__gstreamer_gstbufferz00, BGl_proc1346z00zz__gstreamer_gstbufferz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(10L)); 
VECTOR_SET(BgL_v1071z00_60,7L,BgL_arg1189z00_137); } 
BgL_arg1115z00_46 = BgL_v1071z00_60; } 
{ /* Llib/gstbuffer.scm 27 */
 obj_t BgL_v1072z00_147;
BgL_v1072z00_147 = 
create_vector(6L); 
{ /* Llib/gstbuffer.scm 34 */
 obj_t BgL_arg1200z00_148;
{ /* Llib/gstbuffer.scm 34 */
 obj_t BgL_arg1202z00_149;
BgL_arg1202z00_149 = 
MAKE_YOUNG_PAIR(BGl_proc1348z00zz__gstreamer_gstbufferz00, BFALSE); 
BgL_arg1200z00_148 = 
MAKE_YOUNG_PAIR(
BINT(0L), BgL_arg1202z00_149); } 
VECTOR_SET(BgL_v1072z00_147,0L,BgL_arg1200z00_148); } 
{ /* Llib/gstbuffer.scm 38 */
 obj_t BgL_arg1212z00_160;
{ /* Llib/gstbuffer.scm 38 */
 obj_t BgL_arg1215z00_161;
BgL_arg1215z00_161 = 
MAKE_YOUNG_PAIR(BGl_proc1349z00zz__gstreamer_gstbufferz00, BGl_proc1350z00zz__gstreamer_gstbufferz00); 
BgL_arg1212z00_160 = 
MAKE_YOUNG_PAIR(
BINT(1L), BgL_arg1215z00_161); } 
VECTOR_SET(BgL_v1072z00_147,1L,BgL_arg1212z00_160); } 
{ /* Llib/gstbuffer.scm 47 */
 obj_t BgL_arg1238z00_184;
{ /* Llib/gstbuffer.scm 47 */
 obj_t BgL_arg1239z00_185;
BgL_arg1239z00_185 = 
MAKE_YOUNG_PAIR(BGl_proc1351z00zz__gstreamer_gstbufferz00, BFALSE); 
BgL_arg1238z00_184 = 
MAKE_YOUNG_PAIR(
BINT(2L), BgL_arg1239z00_185); } 
VECTOR_SET(BgL_v1072z00_147,2L,BgL_arg1238z00_184); } 
{ /* Llib/gstbuffer.scm 52 */
 obj_t BgL_arg1263z00_196;
{ /* Llib/gstbuffer.scm 52 */
 obj_t BgL_arg1264z00_197;
BgL_arg1264z00_197 = 
MAKE_YOUNG_PAIR(BGl_proc1352z00zz__gstreamer_gstbufferz00, BFALSE); 
BgL_arg1263z00_196 = 
MAKE_YOUNG_PAIR(
BINT(3L), BgL_arg1264z00_197); } 
VECTOR_SET(BgL_v1072z00_147,3L,BgL_arg1263z00_196); } 
{ /* Llib/gstbuffer.scm 57 */
 obj_t BgL_arg1271z00_208;
{ /* Llib/gstbuffer.scm 57 */
 obj_t BgL_arg1272z00_209;
BgL_arg1272z00_209 = 
MAKE_YOUNG_PAIR(BGl_proc1353z00zz__gstreamer_gstbufferz00, BFALSE); 
BgL_arg1271z00_208 = 
MAKE_YOUNG_PAIR(
BINT(4L), BgL_arg1272z00_209); } 
VECTOR_SET(BgL_v1072z00_147,4L,BgL_arg1271z00_208); } 
{ /* Llib/gstbuffer.scm 62 */
 obj_t BgL_arg1297z00_220;
{ /* Llib/gstbuffer.scm 62 */
 obj_t BgL_arg1311z00_221;
BgL_arg1311z00_221 = 
MAKE_YOUNG_PAIR(BGl_proc1354z00zz__gstreamer_gstbufferz00, BFALSE); 
BgL_arg1297z00_220 = 
MAKE_YOUNG_PAIR(
BINT(5L), BgL_arg1311z00_221); } 
VECTOR_SET(BgL_v1072z00_147,5L,BgL_arg1297z00_220); } 
BgL_arg1116z00_47 = BgL_v1072z00_147; } 
return ( 
BGl_gstzd2bufferzd2zz__gstreamer_gstbufferz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(14L), 
CNST_TABLE_REF(15L), BGl_objectz00zz__objectz00, 6438L, BGl_proc1357z00zz__gstreamer_gstbufferz00, BGl_proc1356z00zz__gstreamer_gstbufferz00, BGl_z52gstzd2bufferzd2initzd2envz80zz__gstreamer_gstbufferz00, BGl_proc1355z00zz__gstreamer_gstbufferz00, BFALSE, BgL_arg1115z00_46, BgL_arg1116z00_47), BUNSPEC) ;} } 

}



/* &<@anonymous:1130> */
obj_t BGl_z62zc3z04anonymousza31130ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_323, obj_t BgL_new1053z00_324)
{
{ /* Llib/gstbuffer.scm 27 */
{ 
 BgL_gstzd2bufferzd2_bglt BgL_auxz00_653;
((((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_new1053z00_324)))->BgL_z42builtinz42)=((GstBuffer *)
0L),BUNSPEC); 
((((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_new1053z00_324)))->BgL_z42finaliza7erze5)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_653 = 
((BgL_gstzd2bufferzd2_bglt)BgL_new1053z00_324); 
return 
((obj_t)BgL_auxz00_653);} } 

}



/* &lambda1120 */
BgL_gstzd2bufferzd2_bglt BGl_z62lambda1120z62zz__gstreamer_gstbufferz00(obj_t BgL_envz00_325)
{
{ /* Llib/gstbuffer.scm 27 */
{ /* Llib/gstbuffer.scm 27 */
 BgL_gstzd2bufferzd2_bglt BgL_new1052z00_442;
BgL_new1052z00_442 = 
((BgL_gstzd2bufferzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2bufferzd2_bgl) ))); 
{ /* Llib/gstbuffer.scm 27 */
 long BgL_arg1129z00_443;
BgL_arg1129z00_443 = 
BGL_CLASS_NUM(BGl_gstzd2bufferzd2zz__gstreamer_gstbufferz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1052z00_442), BgL_arg1129z00_443); } 
return BgL_new1052z00_442;} } 

}



/* &lambda1117 */
BgL_gstzd2bufferzd2_bglt BGl_z62lambda1117z62zz__gstreamer_gstbufferz00(obj_t BgL_envz00_326, obj_t BgL_z42builtin1050z42_327, obj_t BgL_z42finaliza7er1051ze5_328)
{
{ /* Llib/gstbuffer.scm 27 */
{ /* Llib/gstbuffer.scm 27 */
 GstBuffer * BgL_z42builtin1050z42_444;
BgL_z42builtin1050z42_444 = 
FOREIGN_TO_COBJ(BgL_z42builtin1050z42_327); 
{ /* Llib/gstbuffer.scm 27 */
 BgL_gstzd2bufferzd2_bglt BgL_new1063z00_445;
{ /* Llib/gstbuffer.scm 27 */
 BgL_gstzd2bufferzd2_bglt BgL_new1061z00_446;
BgL_new1061z00_446 = 
((BgL_gstzd2bufferzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2bufferzd2_bgl) ))); 
{ /* Llib/gstbuffer.scm 27 */
 long BgL_arg1119z00_447;
BgL_arg1119z00_447 = 
BGL_CLASS_NUM(BGl_gstzd2bufferzd2zz__gstreamer_gstbufferz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1061z00_446), BgL_arg1119z00_447); } 
BgL_new1063z00_445 = BgL_new1061z00_446; } 
((((BgL_gstzd2bufferzd2_bglt)COBJECT(BgL_new1063z00_445))->BgL_z42builtinz42)=((GstBuffer *)BgL_z42builtin1050z42_444),BUNSPEC); 
((((BgL_gstzd2bufferzd2_bglt)COBJECT(BgL_new1063z00_445))->BgL_z42finaliza7erze5)=((obj_t)BgL_z42finaliza7er1051ze5_328),BUNSPEC); 
{ /* Llib/gstbuffer.scm 27 */
 obj_t BgL_fun1118z00_448;
BgL_fun1118z00_448 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_gstzd2bufferzd2zz__gstreamer_gstbufferz00); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1118z00_448))(BgL_fun1118z00_448, 
((obj_t)BgL_new1063z00_445), BEOA); } 
return BgL_new1063z00_445;} } } 

}



/* &<@anonymous:1313> */
obj_t BGl_z62zc3z04anonymousza31313ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_329, obj_t BgL_oz00_330)
{
{ /* Llib/gstbuffer.scm 59 */
{ /* Llib/gstbuffer.scm 62 */
 BGL_LONGLONG_T BgL_tmpz00_678;
{ /* Llib/gstbuffer.scm 63 */
 GstBuffer * BgL_arg1314z00_449;
BgL_arg1314z00_449 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_330)))->BgL_z42builtinz42); 
BgL_tmpz00_678 = 
GST_BUFFER_DURATION(BgL_arg1314z00_449); } 
return 
make_bllong(BgL_tmpz00_678);} } 

}



/* &<@anonymous:1274> */
obj_t BGl_z62zc3z04anonymousza31274ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_331, obj_t BgL_oz00_332)
{
{ /* Llib/gstbuffer.scm 54 */
{ /* Llib/gstbuffer.scm 57 */
 BGL_LONGLONG_T BgL_tmpz00_683;
{ /* Llib/gstbuffer.scm 58 */
 GstBuffer * BgL_arg1295z00_450;
BgL_arg1295z00_450 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_332)))->BgL_z42builtinz42); 
BgL_tmpz00_683 = 
GST_BUFFER_DTS_OR_PTS(BgL_arg1295z00_450); } 
return 
make_bllong(BgL_tmpz00_683);} } 

}



/* &<@anonymous:1267> */
obj_t BGl_z62zc3z04anonymousza31267ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_333, obj_t BgL_oz00_334)
{
{ /* Llib/gstbuffer.scm 49 */
{ /* Llib/gstbuffer.scm 52 */
 BGL_LONGLONG_T BgL_tmpz00_688;
{ /* Llib/gstbuffer.scm 53 */
 GstBuffer * BgL_arg1269z00_451;
BgL_arg1269z00_451 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_334)))->BgL_z42builtinz42); 
BgL_tmpz00_688 = 
GST_BUFFER_PTS(BgL_arg1269z00_451); } 
return 
make_bllong(BgL_tmpz00_688);} } 

}



/* &<@anonymous:1259> */
obj_t BGl_z62zc3z04anonymousza31259ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_335, obj_t BgL_oz00_336)
{
{ /* Llib/gstbuffer.scm 44 */
{ /* Llib/gstbuffer.scm 47 */
 BGL_LONGLONG_T BgL_tmpz00_693;
{ /* Llib/gstbuffer.scm 48 */
 GstBuffer * BgL_arg1261z00_452;
BgL_arg1261z00_452 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_336)))->BgL_z42builtinz42); 
BgL_tmpz00_693 = 
GST_BUFFER_DTS(BgL_arg1261z00_452); } 
return 
make_bllong(BgL_tmpz00_693);} } 

}



/* &<@anonymous:1231> */
obj_t BGl_z62zc3z04anonymousza31231ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_337, obj_t BgL_oz00_338, obj_t BgL_vz00_339)
{
{ /* Llib/gstbuffer.scm 36 */
{ /* Llib/gstbuffer.scm 42 */
 GstBuffer * BgL_arg1235z00_453;
BgL_arg1235z00_453 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_338)))->BgL_z42builtinz42); 
bgl_gst_buffer_set_string(BgL_arg1235z00_453, BgL_vz00_339); BUNSPEC; } 
return BgL_oz00_338;} 

}



/* &<@anonymous:1228> */
obj_t BGl_z62zc3z04anonymousza31228ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_340, obj_t BgL_oz00_341)
{
{ /* Llib/gstbuffer.scm 36 */
{ /* Llib/gstbuffer.scm 39 */
 GstBuffer * BgL_arg1229z00_454;
BgL_arg1229z00_454 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_341)))->BgL_z42builtinz42); 
return 
bgl_gst_buffer_get_string(BgL_arg1229z00_454);} } 

}



/* &<@anonymous:1204> */
obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_342, obj_t BgL_oz00_343)
{
{ /* Llib/gstbuffer.scm 31 */
{ /* Llib/gstbuffer.scm 34 */
 long BgL_tmpz00_704;
{ /* Llib/gstbuffer.scm 35 */
 GstBuffer * BgL_arg1210z00_455;
BgL_arg1210z00_455 = 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_343)))->BgL_z42builtinz42); 
BgL_tmpz00_704 = 
gst_buffer_get_size(BgL_arg1210z00_455); } 
return 
BINT(BgL_tmpz00_704);} } 

}



/* &<@anonymous:1195> */
obj_t BGl_z62zc3z04anonymousza31195ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_344, obj_t BgL_oz00_345, obj_t BgL_vz00_346)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_345), 
(int)(5L), BgL_vz00_346);} 

}



/* &<@anonymous:1194> */
obj_t BGl_z62zc3z04anonymousza31194ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_347, obj_t BgL_oz00_348)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_348), 
(int)(5L));} 

}



/* &<@anonymous:1188> */
obj_t BGl_z62zc3z04anonymousza31188ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_349, obj_t BgL_oz00_350, obj_t BgL_vz00_351)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_350), 
(int)(4L), BgL_vz00_351);} 

}



/* &<@anonymous:1187> */
obj_t BGl_z62zc3z04anonymousza31187ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_352, obj_t BgL_oz00_353)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_353), 
(int)(4L));} 

}



/* &<@anonymous:1182> */
obj_t BGl_z62zc3z04anonymousza31182ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_354, obj_t BgL_oz00_355, obj_t BgL_vz00_356)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_355), 
(int)(3L), BgL_vz00_356);} 

}



/* &<@anonymous:1181> */
obj_t BGl_z62zc3z04anonymousza31181ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_357, obj_t BgL_oz00_358)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_358), 
(int)(3L));} 

}



/* &<@anonymous:1177> */
obj_t BGl_z62zc3z04anonymousza31177ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_359, obj_t BgL_oz00_360, obj_t BgL_vz00_361)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_360), 
(int)(2L), BgL_vz00_361);} 

}



/* &<@anonymous:1176> */
obj_t BGl_z62zc3z04anonymousza31176ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_362, obj_t BgL_oz00_363)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_363), 
(int)(2L));} 

}



/* &<@anonymous:1172> */
obj_t BGl_z62zc3z04anonymousza31172ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_364, obj_t BgL_oz00_365, obj_t BgL_vz00_366)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_365), 
(int)(1L), BgL_vz00_366);} 

}



/* &<@anonymous:1171> */
obj_t BGl_z62zc3z04anonymousza31171ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_367, obj_t BgL_oz00_368)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_368), 
(int)(1L));} 

}



/* &<@anonymous:1166> */
obj_t BGl_z62zc3z04anonymousza31166ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_369, obj_t BgL_oz00_370, obj_t BgL_vz00_371)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_370), 
(int)(0L), BgL_vz00_371);} 

}



/* &<@anonymous:1165> */
obj_t BGl_z62zc3z04anonymousza31165ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_372, obj_t BgL_oz00_373)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_373), 
(int)(0L));} 

}



/* &<@anonymous:1156> */
obj_t BGl_z62zc3z04anonymousza31156ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_374)
{
{ /* Llib/gstbuffer.scm 27 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1155 */
obj_t BGl_z62lambda1155z62zz__gstreamer_gstbufferz00(obj_t BgL_envz00_375, obj_t BgL_oz00_376, obj_t BgL_vz00_377)
{
{ /* Llib/gstbuffer.scm 27 */
return 
((((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_376)))->BgL_z42finaliza7erze5)=((obj_t)BgL_vz00_377),BUNSPEC);} 

}



/* &lambda1154 */
obj_t BGl_z62lambda1154z62zz__gstreamer_gstbufferz00(obj_t BgL_envz00_378, obj_t BgL_oz00_379)
{
{ /* Llib/gstbuffer.scm 27 */
return 
(((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_379)))->BgL_z42finaliza7erze5);} 

}



/* &<@anonymous:1139> */
obj_t BGl_z62zc3z04anonymousza31139ze3ze5zz__gstreamer_gstbufferz00(obj_t BgL_envz00_380)
{
{ /* Llib/gstbuffer.scm 27 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1138 */
obj_t BGl_z62lambda1138z62zz__gstreamer_gstbufferz00(obj_t BgL_envz00_381, obj_t BgL_oz00_382, obj_t BgL_vz00_383)
{
{ /* Llib/gstbuffer.scm 27 */
{ /* Llib/gstbuffer.scm 27 */
 GstBuffer * BgL_vz00_459;
BgL_vz00_459 = 
FOREIGN_TO_COBJ(BgL_vz00_383); 
return 
((((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_382)))->BgL_z42builtinz42)=((GstBuffer *)BgL_vz00_459),BUNSPEC);} } 

}



/* &lambda1137 */
obj_t BGl_z62lambda1137z62zz__gstreamer_gstbufferz00(obj_t BgL_envz00_384, obj_t BgL_oz00_385)
{
{ /* Llib/gstbuffer.scm 27 */
return 
void_star_to_obj(
(((BgL_gstzd2bufferzd2_bglt)COBJECT(
((BgL_gstzd2bufferzd2_bglt)BgL_oz00_385)))->BgL_z42builtinz42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__gstreamer_gstbufferz00(void)
{
{ /* Llib/gstbuffer.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__gstreamer_gstbufferz00(void)
{
{ /* Llib/gstbuffer.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gstbufferz00(void)
{
{ /* Llib/gstbuffer.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__gstreamer_gststructurez00(352239886L, 
BSTRING_TO_STRING(BGl_string1358z00zz__gstreamer_gstbufferz00));} 

}

#ifdef __cplusplus
}
#endif
