/*===========================================================================*/
/*   (Unsafe/crc16.scm)                                                      */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Unsafe/crc16.scm -o objs/obj_p/Unsafe/crc16.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___CRC16_TYPE_DEFINITIONS
#define BGL___CRC16_TYPE_DEFINITIONS
#endif // BGL___CRC16_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62crc16zd2portzb0zz__crc16z00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__crc16z00 = BUNSPEC;
static obj_t BGl_z62crc16zd2mmapzb0zz__crc16z00(obj_t, obj_t);
static long BGl_crczd2valuezd2zz__crc16z00(long, long);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__crc16z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
static obj_t BGl_cnstzd2initzd2zz__crc16z00(void);
static obj_t BGl_genericzd2initzd2zz__crc16z00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__crc16z00(void);
static obj_t BGl_gczd2rootszd2initz00zz__crc16z00(void);
static obj_t BGl_objectzd2initzd2zz__crc16z00(void);
BGL_EXPORTED_DECL int BGl_crc16z00zz__crc16z00(obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62crc16zd2stringzb0zz__crc16z00(obj_t, obj_t);
static obj_t BGl_symbol1621z00zz__crc16z00 = BUNSPEC;
static obj_t BGl_methodzd2initzd2zz__crc16z00(void);
static obj_t BGl_z62crc16z62zz__crc16z00(obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__crc16z00(void);
BGL_EXPORTED_DECL int BGl_crc16zd2stringzd2zz__crc16z00(obj_t);
extern obj_t BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_crc16zd2filezd2zz__crc16z00(obj_t);
extern obj_t BGl_readzd2bytezd2zz__r4_input_6_10_2z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31246ze3ze5zz__crc16z00(obj_t);
BGL_EXPORTED_DECL int BGl_crc16zd2portzd2zz__crc16z00(obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62crc16zd2filezb0zz__crc16z00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_crc16zd2mmapzd2zz__crc16z00(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_crc16zd2portzd2envz00zz__crc16z00, BgL_bgl_za762crc16za7d2portza71634za7, BGl_z62crc16zd2portzb0zz__crc16z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_crc16zd2envzd2zz__crc16z00, BgL_bgl_za762crc16za762za7za7__c1635z00, BGl_z62crc16z62zz__crc16z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_crc16zd2stringzd2envz00zz__crc16z00, BgL_bgl_za762crc16za7d2strin1636z00, BGl_z62crc16zd2stringzb0zz__crc16z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1622z00zz__crc16z00, BgL_bgl_string1622za700za7za7_1637za7, "crc16", 5 );
DEFINE_STRING( BGl_string1623z00zz__crc16z00, BgL_bgl_string1623za700za7za7_1638za7, "Illegal argument", 16 );
DEFINE_STRING( BGl_string1624z00zz__crc16z00, BgL_bgl_string1624za700za7za7_1639za7, "/builddir/build/BUILD/bigloo-4.5b/runtime/Unsafe/crc16.scm", 58 );
DEFINE_STRING( BGl_string1625z00zz__crc16z00, BgL_bgl_string1625za700za7za7_1640za7, "&crc16-mmap", 11 );
DEFINE_STRING( BGl_string1626z00zz__crc16z00, BgL_bgl_string1626za700za7za7_1641za7, "mmap", 4 );
DEFINE_STRING( BGl_string1627z00zz__crc16z00, BgL_bgl_string1627za700za7za7_1642za7, "&crc16-string", 13 );
DEFINE_STRING( BGl_string1628z00zz__crc16z00, BgL_bgl_string1628za700za7za7_1643za7, "bstring", 7 );
DEFINE_STRING( BGl_string1629z00zz__crc16z00, BgL_bgl_string1629za700za7za7_1644za7, "&crc16-port", 11 );
DEFINE_STRING( BGl_string1630z00zz__crc16z00, BgL_bgl_string1630za700za7za7_1645za7, "input-port", 10 );
DEFINE_STRING( BGl_string1632z00zz__crc16z00, BgL_bgl_string1632za700za7za7_1646za7, "&crc16-file", 11 );
DEFINE_STRING( BGl_string1633z00zz__crc16z00, BgL_bgl_string1633za700za7za7_1647za7, "__crc16", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1631z00zz__crc16z00, BgL_bgl_za762za7c3za704anonymo1648za7, BGl_z62zc3z04anonymousza31246ze3ze5zz__crc16z00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_crc16zd2mmapzd2envz00zz__crc16z00, BgL_bgl_za762crc16za7d2mmapza71649za7, BGl_z62crc16zd2mmapzb0zz__crc16z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_crc16zd2filezd2envz00zz__crc16z00, BgL_bgl_za762crc16za7d2fileza71650za7, BGl_z62crc16zd2filezb0zz__crc16z00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__crc16z00) );
ADD_ROOT( (void *)(&BGl_symbol1621z00zz__crc16z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__crc16z00\")\n", (FILE *)bprof_port );
      fputs( "((\"crc16\" \"Unsafe/crc16.scm\" 2346) \"BGl_crc16z00zz__crc16z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&crc16\" \"Unsafe/crc16.scm\" 2346) \"BGl_z62crc16z62zz__crc16z00\")\n", (FILE *)bprof_port );
      fputs( "((\"crc-value\" \"Unsafe/crc16.scm\" 2800) \"BGl_crczd2valuezd2zz__crc16z00\")\n", (FILE *)bprof_port );
      fputs( "((\"crc16-mmap\" \"Unsafe/crc16.scm\" 3398) \"BGl_crc16zd2mmapzd2zz__crc16z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&crc16-mmap\" \"Unsafe/crc16.scm\" 3398) \"BGl_z62crc16zd2mmapzb0zz__crc16z00\")\n", (FILE *)bprof_port );
      fputs( "((\"crc16-string\" \"Unsafe/crc16.scm\" 3856) \"BGl_crc16zd2stringzd2zz__crc16z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&crc16-string\" \"Unsafe/crc16.scm\" 3856) \"BGl_z62crc16zd2stringzb0zz__crc16z00\")\n", (FILE *)bprof_port );
      fputs( "((\"crc16-port\" \"Unsafe/crc16.scm\" 4325) \"BGl_crc16zd2portzd2zz__crc16z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&crc16-port\" \"Unsafe/crc16.scm\" 4325) \"BGl_z62crc16zd2portzb0zz__crc16z00\")\n", (FILE *)bprof_port );
      fputs( "((\"crc16-file\" \"Unsafe/crc16.scm\" 4741) \"BGl_crc16zd2filezd2zz__crc16z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&crc16-file\" \"Unsafe/crc16.scm\" 4741) \"BGl_z62crc16zd2filezb0zz__crc16z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1246>\" \"Unsafe/crc16.scm\" 4803) \"BGl_z62zc3z04anonymousza31246ze3ze5zz__crc16z00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__crc16z00(long BgL_checksumz00_2054, char * BgL_fromz00_2055)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__crc16z00))
{ 
BGl_requirezd2initializa7ationz75zz__crc16z00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__crc16z00(); 
BGl_cnstzd2initzd2zz__crc16z00(); 
BGl_importedzd2moduleszd2initz00zz__crc16z00(); 
return 
BGl_profzd2initzd2zz__crc16z00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__crc16z00(void)
{
{ /* Unsafe/crc16.scm 17 */
return ( 
BGl_symbol1621z00zz__crc16z00 = 
bstring_to_symbol(BGl_string1622z00zz__crc16z00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__crc16z00(void)
{
{ /* Unsafe/crc16.scm 17 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__crc16z00(void)
{
{ /* Unsafe/crc16.scm 17 */
return 
write_bprof_table();} 

}



/* crc16 */
BGL_EXPORTED_DEF int BGl_crc16z00zz__crc16z00(obj_t BgL_objz00_3)
{
{ /* Unsafe/crc16.scm 66 */
if(
BGL_MMAPP(BgL_objz00_3))
{ /* Unsafe/crc16.scm 68 */
return 
BGl_crc16zd2mmapzd2zz__crc16z00(BgL_objz00_3);}  else 
{ /* Unsafe/crc16.scm 68 */
if(
STRINGP(BgL_objz00_3))
{ /* Unsafe/crc16.scm 70 */
return 
BGl_crc16zd2stringzd2zz__crc16z00(BgL_objz00_3);}  else 
{ /* Unsafe/crc16.scm 70 */
if(
INPUT_PORTP(BgL_objz00_3))
{ /* Unsafe/crc16.scm 72 */
return 
BGl_crc16zd2portzd2zz__crc16z00(BgL_objz00_3);}  else 
{ /* Unsafe/crc16.scm 72 */
return 
CINT(
BGl_errorz00zz__errorz00(BGl_symbol1621z00zz__crc16z00, BGl_string1623z00zz__crc16z00, BgL_objz00_3));} } } } 

}



/* &crc16 */
obj_t BGl_z62crc16z62zz__crc16z00(obj_t BgL_envz00_2033, obj_t BgL_objz00_2034)
{
{ /* Unsafe/crc16.scm 66 */
return 
BINT(
BGl_crc16z00zz__crc16z00(BgL_objz00_2034));} 

}



/* crc-value */
long BGl_crczd2valuezd2zz__crc16z00(long BgL_valz00_4, long BgL_crcz00_5)
{
{ /* Unsafe/crc16.scm 80 */
{ 
 long BgL_iz00_1288; long BgL_valuez00_1289; long BgL_crcz00_1290;
BgL_iz00_1288 = 0L; 
BgL_valuez00_1289 = 
(BgL_valz00_4 << 
(int)(8L)); 
BgL_crcz00_1290 = BgL_crcz00_5; 
BgL_zc3z04anonymousza31192ze3z87_1291:
if(
(BgL_iz00_1288==8L))
{ /* Unsafe/crc16.scm 84 */
return BgL_crcz00_1290;}  else 
{ /* Unsafe/crc16.scm 86 */
 long BgL_valuez00_1293; long BgL_crcz00_1294;
BgL_valuez00_1293 = 
(BgL_valuez00_1289 << 
(int)(1L)); 
BgL_crcz00_1294 = 
(BgL_crcz00_1290 << 
(int)(1L)); 
{ 
 long BgL_crcz00_2088; long BgL_valuez00_2087; long BgL_iz00_2085;
BgL_iz00_2085 = 
(BgL_iz00_1288+1L); 
BgL_valuez00_2087 = BgL_valuez00_1293; 
if(
(0L==
(65536L & 
(BgL_crcz00_1294 ^ BgL_valuez00_1293))))
{ /* Unsafe/crc16.scm 90 */
BgL_crcz00_2088 = BgL_crcz00_1294; }  else 
{ /* Unsafe/crc16.scm 90 */
BgL_crcz00_2088 = 
(BgL_crcz00_1294 ^ 32773L); } 
BgL_crcz00_1290 = BgL_crcz00_2088; 
BgL_valuez00_1289 = BgL_valuez00_2087; 
BgL_iz00_1288 = BgL_iz00_2085; 
goto BgL_zc3z04anonymousza31192ze3z87_1291;} } } } 

}



/* crc16-mmap */
BGL_EXPORTED_DEF int BGl_crc16zd2mmapzd2zz__crc16z00(obj_t BgL_mmapz00_6)
{
{ /* Unsafe/crc16.scm 97 */
{ /* Unsafe/crc16.scm 98 */
 long BgL_lenz00_1304;
BgL_lenz00_1304 = 
BGL_MMAP_LENGTH(BgL_mmapz00_6); 
{ 
 long BgL_iz00_1306; long BgL_crcz00_1307;
{ /* Unsafe/crc16.scm 99 */
 long BgL_tmpz00_2097;
BgL_iz00_1306 = 0L; 
BgL_crcz00_1307 = 65535L; 
BgL_zc3z04anonymousza31216ze3z87_1308:
{ /* Unsafe/crc16.scm 101 */
 bool_t BgL_test1657z00_2098;
{ /* Unsafe/crc16.scm 101 */
 long BgL_n2z00_1805;
BgL_n2z00_1805 = 
(long)(BgL_lenz00_1304); 
BgL_test1657z00_2098 = 
(BgL_iz00_1306==BgL_n2z00_1805); } 
if(BgL_test1657z00_2098)
{ /* Unsafe/crc16.scm 101 */
BgL_tmpz00_2097 = 
(BgL_crcz00_1307 & 65535L)
; }  else 
{ /* Unsafe/crc16.scm 103 */
 long BgL_arg1227z00_1310; long BgL_arg1229z00_1311;
BgL_arg1227z00_1310 = 
(BgL_iz00_1306+1L); 
{ /* Unsafe/crc16.scm 104 */
 long BgL_arg1230z00_1312;
{ /* Unsafe/crc16.scm 104 */
 unsigned char BgL_arg1231z00_1313;
{ /* Unsafe/crc16.scm 104 */
 long BgL_tmpz00_2103;
BgL_tmpz00_2103 = 
(long)(BgL_iz00_1306); 
BgL_arg1231z00_1313 = 
BGL_MMAP_REF(BgL_mmapz00_6, BgL_tmpz00_2103); } 
BgL_arg1230z00_1312 = 
(BgL_arg1231z00_1313); } 
BgL_arg1229z00_1311 = 
BGl_crczd2valuezd2zz__crc16z00(BgL_arg1230z00_1312, BgL_crcz00_1307); } 
{ 
 long BgL_crcz00_2109; long BgL_iz00_2108;
BgL_iz00_2108 = BgL_arg1227z00_1310; 
BgL_crcz00_2109 = BgL_arg1229z00_1311; 
BgL_crcz00_1307 = BgL_crcz00_2109; 
BgL_iz00_1306 = BgL_iz00_2108; 
goto BgL_zc3z04anonymousza31216ze3z87_1308;} } } 
return 
(int)(BgL_tmpz00_2097);} } } } 

}



/* &crc16-mmap */
obj_t BGl_z62crc16zd2mmapzb0zz__crc16z00(obj_t BgL_envz00_2035, obj_t BgL_mmapz00_2036)
{
{ /* Unsafe/crc16.scm 97 */
{ /* Unsafe/crc16.scm 98 */
 int BgL_tmpz00_2111;
{ /* Unsafe/crc16.scm 98 */
 obj_t BgL_auxz00_2112;
if(
BGL_MMAPP(BgL_mmapz00_2036))
{ /* Unsafe/crc16.scm 98 */
BgL_auxz00_2112 = BgL_mmapz00_2036
; }  else 
{ 
 obj_t BgL_auxz00_2115;
BgL_auxz00_2115 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1624z00zz__crc16z00, 
BINT(3427L), BGl_string1625z00zz__crc16z00, BGl_string1626z00zz__crc16z00, BgL_mmapz00_2036); 
FAILURE(BgL_auxz00_2115,BFALSE,BFALSE);} 
BgL_tmpz00_2111 = 
BGl_crc16zd2mmapzd2zz__crc16z00(BgL_auxz00_2112); } 
return 
BINT(BgL_tmpz00_2111);} } 

}



/* crc16-string */
BGL_EXPORTED_DEF int BGl_crc16zd2stringzd2zz__crc16z00(obj_t BgL_stringz00_7)
{
{ /* Unsafe/crc16.scm 109 */
{ /* Unsafe/crc16.scm 110 */
 long BgL_lenz00_1315;
BgL_lenz00_1315 = 
STRING_LENGTH(BgL_stringz00_7); 
{ 
 long BgL_iz00_1317; long BgL_crcz00_1318;
{ /* Unsafe/crc16.scm 111 */
 long BgL_tmpz00_2122;
BgL_iz00_1317 = 0L; 
BgL_crcz00_1318 = 65535L; 
BgL_zc3z04anonymousza31232ze3z87_1319:
if(
(BgL_iz00_1317==BgL_lenz00_1315))
{ /* Unsafe/crc16.scm 113 */
BgL_tmpz00_2122 = 
(BgL_crcz00_1318 & 65535L)
; }  else 
{ 
 long BgL_crcz00_2128; long BgL_iz00_2126;
BgL_iz00_2126 = 
(BgL_iz00_1317+1L); 
BgL_crcz00_2128 = 
BGl_crczd2valuezd2zz__crc16z00(
(
STRING_REF(BgL_stringz00_7, BgL_iz00_1317)), BgL_crcz00_1318); 
BgL_crcz00_1318 = BgL_crcz00_2128; 
BgL_iz00_1317 = BgL_iz00_2126; 
goto BgL_zc3z04anonymousza31232ze3z87_1319;} 
return 
(int)(BgL_tmpz00_2122);} } } } 

}



/* &crc16-string */
obj_t BGl_z62crc16zd2stringzb0zz__crc16z00(obj_t BgL_envz00_2037, obj_t BgL_stringz00_2038)
{
{ /* Unsafe/crc16.scm 109 */
{ /* Unsafe/crc16.scm 110 */
 int BgL_tmpz00_2133;
{ /* Unsafe/crc16.scm 110 */
 obj_t BgL_auxz00_2134;
if(
STRINGP(BgL_stringz00_2038))
{ /* Unsafe/crc16.scm 110 */
BgL_auxz00_2134 = BgL_stringz00_2038
; }  else 
{ 
 obj_t BgL_auxz00_2137;
BgL_auxz00_2137 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1624z00zz__crc16z00, 
BINT(3889L), BGl_string1627z00zz__crc16z00, BGl_string1628z00zz__crc16z00, BgL_stringz00_2038); 
FAILURE(BgL_auxz00_2137,BFALSE,BFALSE);} 
BgL_tmpz00_2133 = 
BGl_crc16zd2stringzd2zz__crc16z00(BgL_auxz00_2134); } 
return 
BINT(BgL_tmpz00_2133);} } 

}



/* crc16-port */
BGL_EXPORTED_DEF int BGl_crc16zd2portzd2zz__crc16z00(obj_t BgL_portz00_8)
{
{ /* Unsafe/crc16.scm 121 */
{ 
 long BgL_crcz00_1327;
{ /* Unsafe/crc16.scm 122 */
 long BgL_tmpz00_2143;
BgL_crcz00_1327 = 65535L; 
BgL_zc3z04anonymousza31240ze3z87_1328:
{ /* Unsafe/crc16.scm 123 */
 long BgL_bytez00_1329;
BgL_bytez00_1329 = 
(long)CINT(
BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_portz00_8)); 
{ /* Unsafe/crc16.scm 124 */
 bool_t BgL_test1661z00_2146;
{ /* Unsafe/crc16.scm 124 */
 obj_t BgL_tmpz00_2147;
BgL_tmpz00_2147 = 
BINT(BgL_bytez00_1329); 
BgL_test1661z00_2146 = 
EOF_OBJECTP(BgL_tmpz00_2147); } 
if(BgL_test1661z00_2146)
{ /* Unsafe/crc16.scm 124 */
BgL_tmpz00_2143 = 
(BgL_crcz00_1327 & 65535L)
; }  else 
{ 
 long BgL_crcz00_2151;
BgL_crcz00_2151 = 
BGl_crczd2valuezd2zz__crc16z00(BgL_bytez00_1329, BgL_crcz00_1327); 
BgL_crcz00_1327 = BgL_crcz00_2151; 
goto BgL_zc3z04anonymousza31240ze3z87_1328;} } } 
return 
(int)(BgL_tmpz00_2143);} } } 

}



/* &crc16-port */
obj_t BGl_z62crc16zd2portzb0zz__crc16z00(obj_t BgL_envz00_2039, obj_t BgL_portz00_2040)
{
{ /* Unsafe/crc16.scm 121 */
{ /* Unsafe/crc16.scm 123 */
 int BgL_tmpz00_2154;
{ /* Unsafe/crc16.scm 123 */
 obj_t BgL_auxz00_2155;
if(
INPUT_PORTP(BgL_portz00_2040))
{ /* Unsafe/crc16.scm 123 */
BgL_auxz00_2155 = BgL_portz00_2040
; }  else 
{ 
 obj_t BgL_auxz00_2158;
BgL_auxz00_2158 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1624z00zz__crc16z00, 
BINT(4391L), BGl_string1629z00zz__crc16z00, BGl_string1630z00zz__crc16z00, BgL_portz00_2040); 
FAILURE(BgL_auxz00_2158,BFALSE,BFALSE);} 
BgL_tmpz00_2154 = 
BGl_crc16zd2portzd2zz__crc16z00(BgL_auxz00_2155); } 
return 
BINT(BgL_tmpz00_2154);} } 

}



/* crc16-file */
BGL_EXPORTED_DEF int BGl_crc16zd2filezd2zz__crc16z00(obj_t BgL_filez00_9)
{
{ /* Unsafe/crc16.scm 131 */
return 
CINT(
BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(BgL_filez00_9, BGl_proc1631z00zz__crc16z00));} 

}



/* &crc16-file */
obj_t BGl_z62crc16zd2filezb0zz__crc16z00(obj_t BgL_envz00_2042, obj_t BgL_filez00_2043)
{
{ /* Unsafe/crc16.scm 131 */
{ /* Unsafe/crc16.scm 133 */
 int BgL_tmpz00_2166;
{ /* Unsafe/crc16.scm 133 */
 obj_t BgL_auxz00_2167;
if(
STRINGP(BgL_filez00_2043))
{ /* Unsafe/crc16.scm 133 */
BgL_auxz00_2167 = BgL_filez00_2043
; }  else 
{ 
 obj_t BgL_auxz00_2170;
BgL_auxz00_2170 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1624z00zz__crc16z00, 
BINT(4826L), BGl_string1632z00zz__crc16z00, BGl_string1628z00zz__crc16z00, BgL_filez00_2043); 
FAILURE(BgL_auxz00_2170,BFALSE,BFALSE);} 
BgL_tmpz00_2166 = 
BGl_crc16zd2filezd2zz__crc16z00(BgL_auxz00_2167); } 
return 
BINT(BgL_tmpz00_2166);} } 

}



/* &<@anonymous:1246> */
obj_t BGl_z62zc3z04anonymousza31246ze3ze5zz__crc16z00(obj_t BgL_envz00_2044)
{
{ /* Unsafe/crc16.scm 133 */
{ /* Unsafe/crc16.scm 133 */
 int BgL_tmpz00_2176;
{ /* Unsafe/crc16.scm 133 */
 obj_t BgL_arg1251z00_2053;
{ /* Unsafe/crc16.scm 133 */
 obj_t BgL_tmpz00_2177;
BgL_tmpz00_2177 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1251z00_2053 = 
BGL_ENV_CURRENT_INPUT_PORT(BgL_tmpz00_2177); } 
BgL_tmpz00_2176 = 
BGl_crc16zd2portzd2zz__crc16z00(BgL_arg1251z00_2053); } 
return 
BINT(BgL_tmpz00_2176);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__crc16z00(void)
{
{ /* Unsafe/crc16.scm 17 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__crc16z00(void)
{
{ /* Unsafe/crc16.scm 17 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__crc16z00(void)
{
{ /* Unsafe/crc16.scm 17 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__crc16z00(void)
{
{ /* Unsafe/crc16.scm 17 */
return 
BGl_modulezd2initializa7ationz75zz__paramz00(453939141L, 
BSTRING_TO_STRING(BGl_string1633z00zz__crc16z00));} 

}

#ifdef __cplusplus
}
#endif
